<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlProfileCfg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlProfileCfg_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Profile config API parameters. A profile contains coarse parameters of FMCW chirp such as start frequency, chirp slope, ramp time, idle time etc. Fine dithering values need to be programmed in chirp configuration <a class="el" href="structrl_chirp_cfg__t.html">rlChirpCfg_t</a>.  
 <a href="structrl_profile_cfg__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ae22e62707162f077d5bf5bf39d69da05"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae22e62707162f077d5bf5bf39d69da05"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_profile_cfg__t.html#ae22e62707162f077d5bf5bf39d69da05">profileId</a></td></tr>
<tr class="memdesc:ae22e62707162f077d5bf5bf39d69da05"><td class="mdescLeft">&#160;</td><td class="mdescRight">Profile index (0-3) <br /></td></tr>
<tr class="separator:ae22e62707162f077d5bf5bf39d69da05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd80758f7804f75838c341db3a9f256b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afd80758f7804f75838c341db3a9f256b"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_profile_cfg__t.html#afd80758f7804f75838c341db3a9f256b">pfVcoSelect</a></td></tr>
<tr class="memdesc:afd80758f7804f75838c341db3a9f256b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bit Description <br />
 b0 FORCE_VCO_SEL <br />
 0 - Use internal VCO selection <br />
 1 - Forced external VCO selection <br />
 b1 VCO_SEL <br />
 0 - VCO1 (76 - 78 GHz) <br />
 1 - VCO2 (77 - 81 GHz) <br />
 b7:2 RESERVED <br />
. <br /></td></tr>
<tr class="separator:afd80758f7804f75838c341db3a9f256b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1aff9740f3a44e506d437d687ca14a41"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1aff9740f3a44e506d437d687ca14a41"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_profile_cfg__t.html#a1aff9740f3a44e506d437d687ca14a41">pfCalLutUpdate</a></td></tr>
<tr class="memdesc:a1aff9740f3a44e506d437d687ca14a41"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bit Description <br />
 b0 RETAIN_TXCAL_LUT <br />
 0 - Update TX calibration LUT <br />
 1 - Do not update TX calibration LUT <br />
 b1 RETAIN_RXCAL_LUT <br />
 0 - Update RX calibration LUT and update RX IQMM correction <br />
 1 - Do not update RX calibration LUT <br />
 b7:2 RESERVED <br />
 If PF_TX_OUTPUT_POWER_BACKOFF is changed then set RETAIN_TXCAL_LUT to 0, <br />
 else set it to 1 and if PF_RX_GAIN is changed, then set RETAIN_RXCAL_LUT to 0 <br />
 else set them to 1. <br /></td></tr>
<tr class="separator:a1aff9740f3a44e506d437d687ca14a41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ca7214b0358c1159094fa5f568d469b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2ca7214b0358c1159094fa5f568d469b"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_profile_cfg__t.html#a2ca7214b0358c1159094fa5f568d469b">startFreqConst</a></td></tr>
<tr class="memdesc:a2ca7214b0358c1159094fa5f568d469b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Start frequency for each profile <br />
 1 LSB = 3.6e9 / 2^26 Hz = 53.644 Hz <br />
 Valid range: 0x5471C71B to 0x5A000000 <br />
. <br /></td></tr>
<tr class="separator:a2ca7214b0358c1159094fa5f568d469b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1406a9cdbaffc0589527c834bda8d909"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1406a9cdbaffc0589527c834bda8d909"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_profile_cfg__t.html#a1406a9cdbaffc0589527c834bda8d909">idleTimeConst</a></td></tr>
<tr class="memdesc:a1406a9cdbaffc0589527c834bda8d909"><td class="mdescLeft">&#160;</td><td class="mdescRight">Idle time<br />
 1 LSB = 10 ns <br />
 Valid range: 0 to 524287 <br />
. <br /></td></tr>
<tr class="separator:a1406a9cdbaffc0589527c834bda8d909"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72e306db0d08412145750fcdf9e68712"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a72e306db0d08412145750fcdf9e68712"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_profile_cfg__t.html#a72e306db0d08412145750fcdf9e68712">adcStartTimeConst</a></td></tr>
<tr class="memdesc:a72e306db0d08412145750fcdf9e68712"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time of starting of ADC capture relative to the knee of the ramp<br />
 1 LSB = 10 ns <br />
 Valid range: 0 to 4095 <br />
. <br /></td></tr>
<tr class="separator:a72e306db0d08412145750fcdf9e68712"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e0db2af39cf6cdf762fa509dc4db70a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4e0db2af39cf6cdf762fa509dc4db70a"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_profile_cfg__t.html#a4e0db2af39cf6cdf762fa509dc4db70a">rampEndTime</a></td></tr>
<tr class="memdesc:a4e0db2af39cf6cdf762fa509dc4db70a"><td class="mdescLeft">&#160;</td><td class="mdescRight">End of ramp time relative to the knee of the ramp<br />
 1 LSB = 10 ns<br />
 Valid range: 0 to 500000 <br />
. <br /></td></tr>
<tr class="separator:a4e0db2af39cf6cdf762fa509dc4db70a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5201cb7a08db920e6ba7990b45bf397"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5201cb7a08db920e6ba7990b45bf397"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_profile_cfg__t.html#aa5201cb7a08db920e6ba7990b45bf397">txOutPowerBackoffCode</a></td></tr>
<tr class="memdesc:aa5201cb7a08db920e6ba7990b45bf397"><td class="mdescLeft">&#160;</td><td class="mdescRight">Concatenated code for output power backoff for TX0, TX1, TX2<br />
 b7:0 TX0 output power back off <br />
 b15:8 TX1 output power back off <br />
 b23:16 TX2 output power back off <br />
 b31:24 Reserved <br />
. <br /></td></tr>
<tr class="separator:aa5201cb7a08db920e6ba7990b45bf397"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af946d8b778dd42c3e4ee9a0ff52bef50"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af946d8b778dd42c3e4ee9a0ff52bef50"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_profile_cfg__t.html#af946d8b778dd42c3e4ee9a0ff52bef50">txPhaseShifter</a></td></tr>
<tr class="memdesc:af946d8b778dd42c3e4ee9a0ff52bef50"><td class="mdescLeft">&#160;</td><td class="mdescRight">Concatenated phase shift for TX0/1/2,<br />
 b7:0 TX0 phase shift value <br />
 b15:8 TX1 phase shift value <br />
 b23:16 TX2 phase shift value <br />
 1 LSB = 360/2^6 = 5.625 degrees <br />
 b31:24 Reserved <br />
. <br /></td></tr>
<tr class="separator:af946d8b778dd42c3e4ee9a0ff52bef50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84ec0ba5bed89652764c56095ef92cef"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a84ec0ba5bed89652764c56095ef92cef"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_profile_cfg__t.html#a84ec0ba5bed89652764c56095ef92cef">freqSlopeConst</a></td></tr>
<tr class="memdesc:a84ec0ba5bed89652764c56095ef92cef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ramp slope frequency, <br />
 1 LSB = (3.6e6 * 900) / 2^26 = 48.279 kHz/uS <br />
 Valid range: -2072 to 2072 <br />
. <br /></td></tr>
<tr class="separator:a84ec0ba5bed89652764c56095ef92cef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa64c9569309cb53c840657014a923993"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa64c9569309cb53c840657014a923993"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_profile_cfg__t.html#aa64c9569309cb53c840657014a923993">txStartTime</a></td></tr>
<tr class="memdesc:aa64c9569309cb53c840657014a923993"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time of start of transmitter relative to the knee of the ramp <br />
 1 LSB = 10ns <br />
 Valid range: -4096 to 4095 <br />
. <br /></td></tr>
<tr class="separator:aa64c9569309cb53c840657014a923993"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9448ecc83ce18857f1f1efba82af3d72"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9448ecc83ce18857f1f1efba82af3d72"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_profile_cfg__t.html#a9448ecc83ce18857f1f1efba82af3d72">numAdcSamples</a></td></tr>
<tr class="memdesc:a9448ecc83ce18857f1f1efba82af3d72"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of ADC samples to capture in a chirp for each RX <br />
 Valid range: 64 to MAX_NUM_SAMPLES<br />
 Where MAX_NUM_SAMPLES is such that all the enabled RX channels' data fits <br />
 into 16 kB memory, with each sample consuming 2 bytes for real ADC output <br />
 case and 4 bytes for complex 1x and complex 2x ADC output cases <br />
 For example:<br />
 4 RX, Complex ADC output -&gt; MAX_NUM_SAMPLES = 1024<br />
 4 RX, Real ADC output -&gt; MAX_NUM_SAMPLES = 2048<br />
 2 RX, Complex ADC output -&gt; MAX_NUM_SAMPLES = 2048<br />
 2 RX, Real ADC output -&gt; MAX_NUM_SAMPLES = 4096 <br />
. <br /></td></tr>
<tr class="separator:a9448ecc83ce18857f1f1efba82af3d72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9b44a0be4e36a6d2a8539363992429b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad9b44a0be4e36a6d2a8539363992429b"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_profile_cfg__t.html#ad9b44a0be4e36a6d2a8539363992429b">digOutSampleRate</a></td></tr>
<tr class="memdesc:ad9b44a0be4e36a6d2a8539363992429b"><td class="mdescLeft">&#160;</td><td class="mdescRight">ADC Sampling rate for each profile is encoded in <br />
 2 bytes (16 bit unsigned number)<br />
 1 LSB = 1 ksps <br />
 Valid range 2000 to 37500 <br />
. <br /></td></tr>
<tr class="separator:ad9b44a0be4e36a6d2a8539363992429b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12a25dec87a8fda4db0c4cfe0ec87a82"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a12a25dec87a8fda4db0c4cfe0ec87a82"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_profile_cfg__t.html#a12a25dec87a8fda4db0c4cfe0ec87a82">hpfCornerFreq1</a></td></tr>
<tr class="memdesc:a12a25dec87a8fda4db0c4cfe0ec87a82"><td class="mdescLeft">&#160;</td><td class="mdescRight">Code for HPF1 corner frequency<br />
 0x00 175 kHz <br />
 0x01 235 kHz <br />
 0x02 350 kHz <br />
 0x03 700 kHz <br />
. <br /></td></tr>
<tr class="separator:a12a25dec87a8fda4db0c4cfe0ec87a82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55ef670f3c28713e734f97879b838229"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a55ef670f3c28713e734f97879b838229"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_profile_cfg__t.html#a55ef670f3c28713e734f97879b838229">hpfCornerFreq2</a></td></tr>
<tr class="memdesc:a55ef670f3c28713e734f97879b838229"><td class="mdescLeft">&#160;</td><td class="mdescRight">Code for HPF2 corner frequency<br />
 0x00 350 kHz <br />
 0x01 700 kHz <br />
 0x02 1.4 MHz <br />
 0x03 2.8 MHz <br />
. <br /></td></tr>
<tr class="separator:a55ef670f3c28713e734f97879b838229"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5dc8ea49d7c36498aee4fd8e0ab926d1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5dc8ea49d7c36498aee4fd8e0ab926d1"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_profile_cfg__t.html#a5dc8ea49d7c36498aee4fd8e0ab926d1">reserved0</a></td></tr>
<tr class="memdesc:a5dc8ea49d7c36498aee4fd8e0ab926d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a5dc8ea49d7c36498aee4fd8e0ab926d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26b07581214b654edbdf81c1a3c0d50c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a26b07581214b654edbdf81c1a3c0d50c"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_profile_cfg__t.html#a26b07581214b654edbdf81c1a3c0d50c">rxGain</a></td></tr>
<tr class="memdesc:a26b07581214b654edbdf81c1a3c0d50c"><td class="mdescLeft">&#160;</td><td class="mdescRight"><pre class="fragment">b5:0  Code for Rx VGA gain\n
  1 LSB = 1 dB\n
  Valid values: all even values from 24 to 52 \n
</pre><p> b7:6 Code for RF gain target <br />
 00 - 30 dB <br />
 01 - 34 dB <br />
 10 - RESERVED <br />
 11 - 26 dB <br />
 b15:8 RESERVED <br />
<br /></td></tr>
<tr class="separator:a26b07581214b654edbdf81c1a3c0d50c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5afa4acb5896dfde53ea74fbb4e4debb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5afa4acb5896dfde53ea74fbb4e4debb"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_profile_cfg__t.html#a5afa4acb5896dfde53ea74fbb4e4debb">reserved1</a></td></tr>
<tr class="memdesc:a5afa4acb5896dfde53ea74fbb4e4debb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a5afa4acb5896dfde53ea74fbb4e4debb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Profile config API parameters. A profile contains coarse parameters of FMCW chirp such as start frequency, chirp slope, ramp time, idle time etc. Fine dithering values need to be programmed in chirp configuration <a class="el" href="structrl_chirp_cfg__t.html">rlChirpCfg_t</a>. </p>
<dl class="section note"><dt>Note</dt><dd>Maximum of 4 profiles can be configured. </dd></dl>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
